/* orcad_lib_convert.h
 *
 * This is part of the orcad_lib_convert utility
 * Copyright (c) 2020 Dimitri Marinakis
 * see the file orcad_lib_convert.c for copying conditions
 *
 * 15-Feb-2020 dm
 * 31-Apr-2020 dm -- geda: added MAXPINSPERPART
 */

#include <stdlib.h>
#include <stdint.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <stdio.h>
#include <unistd.h>
#include <ctype.h>
#include <string.h>
#include <errno.h>
#include <math.h>

/* Input and output files should fit in 64Mb 
 */
#define INRECSIZE  0xFFFFFF
#define OUTRECSIZE 0xFFFFFF

/* Orcad SDT strings are 256 characters maximum; 
 */
#define MAXFILELEN 512
#define MAXSTRING 512
#define MAXTOKENS 32
#define MAXPREFIXES 16
#define MAXPARTNAMES 1024
#define MAXPARTSPERPACKAGE 16
#define MAXPINSPERPART 16
#define MAXPARTS 2048

/* Processing states
 */
#define START 0
#define PREFIX 1
#define PARTNAME 2
#define PARTNAME_COMPLETE 3
#define PINS 4
#define BITMAP 5
#define VECTOR 6
//#define CONVERT 7
//#define CONVERT_VECTOR 8

/* Scale
 */
#define SCALE 100



