# This is an example file for translating OrCAD SDT source library files (.src)
# to gEDA symbol files, under directories having the same name as the source library.
# 
# To run: source orcad_lib_convert_geda.sh
#
# As a last step, the desired number of the resulting xxxxxxx.SRC.txt files with
# component size and library information are concatenated, in the desired sequence
# which dictates precedence to be used when converting schematics 
# with the orcad_convert program.
#
# Adjust, as necessary or run the concatenation step separately.
#
./orcad_lib_convert -g ../A3C.SRC
./orcad_lib_convert -g ../ALTERA_M.SRC
./orcad_lib_convert -g ../ALTERA_P.SRC
./orcad_lib_convert -g ../ANALOG1.SRC
./orcad_lib_convert -g ../ANALOG2.SRC
./orcad_lib_convert -g ../ANALOG.SRC
./orcad_lib_convert -g -p ../ASSEMBLY.SRC
./orcad_lib_convert -g ../B1A.SRC
./orcad_lib_convert -g ../BIT.SRC
./orcad_lib_convert -g ../CHIPS.SRC
./orcad_lib_convert -g ../CMOS.SRC
./orcad_lib_convert -g ../DALLAS.SRC
./orcad_lib_convert -g ../DCLOCK.SRC
./orcad_lib_convert -g -p ../DEVICE.SRC
./orcad_lib_convert -g ../ECL.SRC
./orcad_lib_convert -g ../FLOWCHT.SRC
./orcad_lib_convert -g ../HITACHI.SRC
./orcad_lib_convert -g ../IEEE1.SRC
./orcad_lib_convert -g ../IEEE2.SRC
./orcad_lib_convert -g ../IEEE3.SRC
./orcad_lib_convert -g ../INMOS.SRC
./orcad_lib_convert -g ../INTEL_M.SRC
./orcad_lib_convert -g ../INTEL_P.SRC
./orcad_lib_convert -g ../INTEL.SRC
./orcad_lib_convert -g ../LADDER.SRC
./orcad_lib_convert -g ../MEMORY.SRC
./orcad_lib_convert -g -p ../METER.SRC
./orcad_lib_convert -g ../MITSUBIS.SRC
./orcad_lib_convert -g ../MOTO1.SRC
./orcad_lib_convert -g ../MOTO2.SRC
./orcad_lib_convert -g ../MOTO3.SRC
./orcad_lib_convert -g ../MOTO4.SRC
./orcad_lib_convert -g ../MOTO5.SRC
./orcad_lib_convert -g ../MOTO7.SRC
./orcad_lib_convert -g ../MOTO.SRC
./orcad_lib_convert -g ../MYLIB.SRC
./orcad_lib_convert -g ../OKI.SRC
./orcad_lib_convert -g ../OPTOISOL.SRC
./orcad_lib_convert -g ../PLDGATES.SRC
./orcad_lib_convert -g ../POWER.SRC
./orcad_lib_convert -g ../PSPICE.SRC
./orcad_lib_convert -g -p ../RF.SRC
./orcad_lib_convert -g ../SAMSUNG.SRC
./orcad_lib_convert -g ../SEEQ.SRC
./orcad_lib_convert -g ../SHAPES.SRC
./orcad_lib_convert -g ../SPICE.SRC
./orcad_lib_convert -g ../TILSI.SRC
./orcad_lib_convert -g ../TTL1.SRC
./orcad_lib_convert -g ../TTL.SRC
./orcad_lib_convert -g ../ZILOG.SRC
cat ../TTL.SRC.txt\
    ../CMOS.SRC.txt\
    ../MEMORY.SRC.txt\
    ../INTEL.SRC.txt\
    ../DEVICE.SRC.txt\
    ../ANALOG.SRC.txt\
    ../SEEQ.SRC.txt\
    ../OPTOISOL.SRC.txt\
    ../MOTO1.SRC.txt\
    ../POWER.SRC.txt\
    ../ZILOG.SRC.txt\
    ../RF.SRC.txt\
    ../HITACHI.SRC.txt\
    ../ALTERA_M.SRC.txt\
    ../SHAPES.SRC.txt\
    ../DCLOCK.SRC.txt\
    ../HITACHI.SRC.txt\
    ../SAMSUNG.SRC.txt\
    > ../orcad_parts.txt
echo Total parts:
wc ../orcad_parts.txt

